Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hornetq.rest.topic
Class AcknowledgedSubscriptionResource

    java.lang.Object
      org.hornetq.rest.queue.QueueConsumer
          org.hornetq.rest.queue.AcknowledgedQueueConsumer
              org.hornetq.rest.topic.AcknowledgedSubscriptionResource

All Implemented Interfaces:
  Subscription

    public class AcknowledgedSubscriptionResource

extends AcknowledgedQueueConsumer
implements Subscription

Version:
  $Revision: 1 $
Author:
  Bill Burke

Field Summary

Fields inherited from class org.hornetq.rest.queue.AcknowledgedQueueConsumer
`ack, counter, startup`

Fields inherited from class org.hornetq.rest.queue.QueueConsumer
`autoAck, closed, consumer, destination, factory, id, lastConsumed, lastPing, previousIndex, selector, serviceManager, session`

Constructor Summary
`AcknowledgedSubscriptionResource(org.hornetq.api.core.client.ClientSessionFactory factory, java.lang.String destination, java.lang.String id, DestinationServiceManager serviceManager, java.lang.String selector)`

Method Summary
`boolean` | `isDurable()`
`void` | `setDurable(boolean durable)`

Methods inherited from class org.hornetq.rest.queue.AcknowledgedQueueConsumer
`acknowledge, getAck, getAckToken, poll, receive, receiveFromConsumer, setAcknowledgeLinks, setAcknowledgementLink, setAcknowledgeNextLink, setMessageResponseLinks, setPollTimeoutLinks, shutdown, unacknowledge`

Methods inherited from class org.hornetq.rest.queue.QueueConsumer
`checkIndexAndPoll, createSession, getConsumeIndex, getId, getLastPingTime, getMessageResponse, getServiceManager, isClosed, ping, pollWithIndex, runPoll, setConsumeNextLink, setServiceManager, setSessionLink`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AcknowledgedSubscriptionResource

    public AcknowledgedSubscriptionResource(org.hornetq.api.core.client.ClientSessionFactory factory,
                                            java.lang.String destination,
                                            java.lang.String id,
                                            DestinationServiceManager serviceManager,
                                            java.lang.String selector)
                                     throws org.hornetq.api.core.HornetQException

Throws:
  `org.hornetq.api.core.HornetQException`

Method Detail

### isDurable

    public boolean isDurable()

  Specified by:
    `isDurable` in interface `Subscription`

### setDurable

    public void setDurable(boolean durable)

  Specified by:
    `setDurable` in interface `Subscription`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.